
Synnefo - Feature # 169

Status: Closed Priority: High

Author: Vangelis Koukis Category: logic

Created: 01/21/2011 Assignee: Vassilios Karakoidas

Updated: 04/05/2011 Due date:

Subject: Πρόγραμμα χρέωσης χρηστών με βάση την τρέχουσα χρήση

Description

Εργαλείο που εκτελείται περιοδικά και χρεώνει ιδιοκτήτες πόρων (αυτή τη στιγμή: VMs) ανάλογα με την κατάσταση του καθενός.

History

#1 - 01/21/2011 01:48 pm - Vangelis Koukis

- Category set to obsolete_db

#2 - 01/21/2011 01:48 pm - Vangelis Koukis

- Tracker changed from Bug to Feature

#3 - 02/01/2011 10:58 am - Vassilios Karakoidas

- % Done changed from 0 to 60

#4 - 02/04/2011 04:30 pm - Vassilios Karakoidas

Το πρόγραμμα χρέωσης χρεώνει κανονικά και έχει ελεγχθεί. Μένει να υλοποιηθεί η σύνδεση με το ganeti.

#5 - 02/07/2011 02:06 am - Vassilios Karakoidas

Vassilios Karakoidas wrote:

Το πρόγραμμα χρέωσης χρεώνει κανονικά και έχει ελεγχθεί. Μένει να υλοποιηθεί η σύνδεση με το ganeti.

Έκανα βελτίωση στον τρόπο που κοστολογεί ο charger. Πλέον, λαμβάνει υπόψιν την τελευταία φορά που έγινε η τελευταία χρέωση και χρεώνει

αντίστοιχα τα credits, χωρίς χρονικό περιορισμό.

Τα unit tests έχουν και αυτά αλλαχθεί.

#6 - 02/11/2011 02:38 pm - Vassilios Karakoidas

- % Done changed from 60 to 10

Vassilios Karakoidas wrote:

Vassilios Karakoidas wrote:

Το πρόγραμμα χρέωσης χρεώνει κανονικά και έχει ελεγχθεί. Μένει να υλοποιηθεί η σύνδεση με το ganeti.

Έκανα βελτίωση στον τρόπο που κοστολογεί ο charger. Πλέον, λαμβάνει υπόψιν την τελευταία φορά που έγινε η τελευταία χρέωση και

χρεώνει αντίστοιχα τα credits, χωρίς χρονικό περιορισμό.
Τα unit tests έχουν και αυτά αλλαχθεί.

#7 - 04/05/2011 02:47 pm - Vangelis Koukis

- Category changed from obsolete_db to logic

- Status changed from Assigned to Closed

Υπάρχει σύστημα χρέωσης των πόρων, έχει ενσωματωθεί στο logic layer της εφαρμογής (#335), αυτό μπορεί να κλείσει.

04/26/2024 2/2


